OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.SampleLocations

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVSampleLocations :: MonadIO m => m Bool
- gl_NV_sample_locations :: Bool
- pattern GL_FRAMEBUFFER_PROGRAMMABLE_SAMPLE_LOCATIONS_NV :: GLenum
- pattern GL_FRAMEBUFFER_SAMPLE_LOCATION_PIXEL_GRID_NV :: GLenum
- pattern GL_PROGRAMMABLE_SAMPLE_LOCATION_NV :: GLenum
- pattern GL_PROGRAMMABLE_SAMPLE_LOCATION_TABLE_SIZE_NV :: GLenum
- pattern GL_SAMPLE_LOCATION_NV :: GLenum
- pattern GL_SAMPLE_LOCATION_PIXEL_GRID_HEIGHT_NV :: GLenum
- pattern GL_SAMPLE_LOCATION_PIXEL_GRID_WIDTH_NV :: GLenum
- pattern GL_SAMPLE_LOCATION_SUBPIXEL_BITS_NV :: GLenum
- glFramebufferSampleLocationsfvNV :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glNamedFramebufferSampleLocationsfvNV :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glResolveDepthValuesNV :: MonadIO m => m ()

# Extension Support

glGetNVSampleLocations :: MonadIO m => m Bool Source #

Is the NV_sample_locations extension supported?

gl_NV_sample_locations :: Bool Source #

Is the NV_sample_locations extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVSampleLocations` in those cases instead.

# Enums

pattern GL_FRAMEBUFFER_PROGRAMMABLE_SAMPLE_LOCATIONS_NV :: GLenum Source #

pattern GL_FRAMEBUFFER_SAMPLE_LOCATION_PIXEL_GRID_NV :: GLenum Source #

pattern GL_PROGRAMMABLE_SAMPLE_LOCATION_NV :: GLenum Source #

pattern GL_PROGRAMMABLE_SAMPLE_LOCATION_TABLE_SIZE_NV :: GLenum Source #

pattern GL_SAMPLE_LOCATION_NV :: GLenum Source #

pattern GL_SAMPLE_LOCATION_PIXEL_GRID_HEIGHT_NV :: GLenum Source #

pattern GL_SAMPLE_LOCATION_PIXEL_GRID_WIDTH_NV :: GLenum Source #

pattern GL_SAMPLE_LOCATION_SUBPIXEL_BITS_NV :: GLenum Source #

# Functions

glFramebufferSampleLocationsfvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLuint | `start`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v`.
-> m () |

glNamedFramebufferSampleLocationsfvNV Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLuint | `start`.
-> GLsizei | `count`.
-> Ptr GLfloat | `v`.
-> m () |

glResolveDepthValuesNV :: MonadIO m => m () Source #